cabal-install-solver-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Solver.Types.Variable

Synopsis

- data Variable qpn
  - = PackageVar qpn
  - | FlagVar qpn FlagName
  - | StanzaVar qpn OptionalStanza

# Documentation

data Variable qpn #

Variables used by the dependency solver. This type is similar to the internal `Var` type.

Constructors

PackageVar qpn |
FlagVar qpn FlagName |
StanzaVar qpn OptionalStanza |

#### Instances

Instances details

Show qpn => Show (Variable qpn) # |
Instance details Defined in Distribution.Solver.Types.Variable Methods showsPrec :: Int -> Variable qpn -> ShowS # show :: Variable qpn -> String # showList :: [Variable qpn] -> ShowS #
Eq qpn => Eq (Variable qpn) # |
Instance details Defined in Distribution.Solver.Types.Variable Methods (==) :: Variable qpn -> Variable qpn -> Bool # (/=) :: Variable qpn -> Variable qpn -> Bool #